
Redmine - Defect #16033

Error when open/view the issue

2014-02-05 19:46 - Mastan Prasad Chinni

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.4.2

Description

Hello, I upgraded Redmine from 1.0.x to 2.4.2.

All works fine, but after I migrate the DB, I get a "500 Internal Server Error" everytime I try to create or consult an issue.

This is the error in the log:

ActiveRecord::SubclassNotFound (The single-table inheritance mechanism failed to locate the subclass: 'WorkflowTransition'. This

error is raised because the column 'type' is reserved for storing the class in case of inheritance. Please rename this column if you

didn't intend it to be used for storing the inheritance class or overwrite Workflow.inheritance_column to use another column for that

information.):

app/models/issue_status.rb:78:in `find_new_statuses_allowed_to'

app/models/issue.rb:467:in `new_statuses_allowed_to'

app/controllers/issues_controller.rb:117:in `show'

config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in `dispatch_cgi'

Rendering C:/Program Files/BitNami Redmine Stack/apps/redmine/public/500.html (500 Internal Server Error)

Database: Mysql

When i search for solution, they told copy the 3 work flow files. but those files are already there in my app/models folder.

Can any body have solution for this? Thanks in advance

History

#1 - 2014-03-01 03:01 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Due to your #16020 post, you failed upgrading.

#2 - 2015-03-30 06:40 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

It seems not a problem of Redmine.

#3 - 2015-04-27 07:52 - Toshi MARUYAMA

- Resolution changed from Invalid to No feedback
